Deskhero Developer Hub
Back to deskhero.com
Categories

Create

Creates a knowledge base category, optionally nested under an existing one through parent_id. visibility is required, unique_key is generated from the name when omitted and capped at 15 characters, the name is capped at 30 characters and has to be unique among the categories sharing the same parent. icon_id, when given, has to point at one of the platform's public icons.

POST /api/{tenant:minlength(2)}/v{version:apiVersion}/categories
Authorisation
Minimum role: ADMIN

Request arguments

Name Type Source
inputDTO_categoryBody
Request body example

Response

Status
200 (OK)
Type
DTO_category
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_category
NameTypeReadOnlyDescription
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
childrenDTO_category[]ReadOnlyChildren
idInt32ReadOnlyLeave empty when Creating object
parent_idInt32Parent id
nameStringName
name_pathString[]ReadOnlyName path
unique_keyStringUnique key
descriptionStringDescription
visibilityENUM category_visibilityVisibility
icon_idInt32Icon id
icon_fileStringReadOnlyIcon file
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
DTO_category
NameTypeReadOnlyDescription
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
childrenDTO_category[]ReadOnlyChildren
idInt32ReadOnlyLeave empty when Creating object
parent_idInt32Parent id
nameStringName
name_pathString[]ReadOnlyName path
unique_keyStringUnique key
descriptionStringDescription
visibilityENUM category_visibilityVisibility
icon_idInt32Icon id
icon_fileStringReadOnlyIcon file
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
ENUM category_visibility
ValueNameDescription
0UNKNOWNUNKNOWN
1INTERNALINTERNAL
2HELP_CENTERHELP CENTER

Generated Aug 4, 2026 18:37